
Redmine - Feature #7697

Extend watchers functionality of wiki and forums to be like issues

2011-02-23 17:33 - Anthony Gerrard

Status: Closed Start date: 2011-02-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

For issues you have privileges that enable users to:

add other users as watchers "Add watchers"

remove other users as watchers "Delete watchers"

see who is watching this issue "View watchers list"

It would be great if we could add similar permissions and features for wiki pages and forums please.  My particular use case is that I

was setting up a forum for discussing functional requirements and wanted to add all the key stakeholders as watchers of that forum

but I could see it'd be equally useful for wiki pages.

Related issues:

Related to Redmine - Feature #7652: Ability to add watchers to Wiki pages Closed 2011-02-18

Related to Redmine - Feature #2064: Select who receives email notifications f... New 2008-10-21

Related to Redmine - Feature #3390: Ability to add watchers to forum threads Closed 2009-05-19

History

#1 - 2011-03-04 19:58 - Patrick Cummins

+1

#2 - 2011-03-04 19:59 - Patrick Cummins

Also...it would be great if the list of watchers indicated which watchers are part of the project, and which aren't.

#3 - 2012-10-11 10:49 - teshee T

Any updates on that feature?

#4 - 2012-12-27 20:49 - Dusko Vuksanovic

+1

#5 - 2013-01-28 12:39 - Ruedi Silvestri

+1

#6 - 2013-02-22 16:11 - Gary Watson

+1

#7 - 2013-04-04 21:52 - yac yac

+1

#8 - 2013-05-16 10:05 - D K

+1

#9 - 2013-09-24 11:51 - David Fouche

+1

#10 - 2014-02-18 21:48 - Amanda Heller
+1

#11 - 2014-08-11 15:49 - Marc D.

+1

#12 - 2015-09-15 13:42 - Inese Ez

+1

#13 - 2015-09-15 14:37 - budo kaiman

+1

#14 - 2018-02-07 09:17 - Sebastian Paluch

+1

and related to #3390, #911

#15 - 2020-07-28 08:32 - Masayuki Higashino

+1

#16 - 2021-05-29 09:11 - Go MAEDA

- Related to Feature #3390: Ability to add watchers to forum threads added

#17 - 2021-05-29 09:39 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

You can add/delete/view watchers of forum messages in Redmine 4.2.0 (#3390). Also, you will be able to add/delete/view watchers of wiki pages in

Redmine 5.0.0 (#7652).
